clear all;
close all;

subject_id=10;
pinna='right';
elev=0;
azim=80;
freq_kHz=20;
FFT_LENGTH=1024;
log_enable=1;
diff_enable=0;
plot_enable=1;

% Load the HRIR from the data base.

[HRIR,HRTF_mag,HRTF_phase,time,frequency]=...
    get_CIPIC_HRIR(subject_id,...
             pinna,...
             elev,...
             azim,...
             freq_kHz,...
             FFT_LENGTH,...
             log_enable,...
             diff_enable,...
             plot_enable);


% Compute the onset time.

[onset]=get_CIPIC_HRIR_onset(subject_id,pinna,elev,azim,freq_kHz);

% Use the HRIR from the onset time onwards.

signal=HRIR(onset:end);

% Extract the pinna spectral notch frequencies

time_cutoff_ms=1.0;
acor_time_cutoff_ms=1.0;
lp_flag=1;
LP_ORDER=12;
threshold=-1;
FFT_LENGTH=2048;
log_flag=1;
plot_flag=1;
fs=2*freq_kHz;

[zero_frequencies_kHz,zero_frequencies_index,plots] = ...
    Algorithm_1(signal,...
                time_cutoff_ms,...
                acor_time_cutoff_ms,...
                lp_flag,...
                LP_ORDER,...
                threshold,...
                fs,...
                FFT_LENGTH,...
                log_flag,...
                plot_flag);

zero_frequencies_kHz